Index: /trunk/workshop-foss4g/installation.rst
===================================================================
--- /trunk/workshop-foss4g/installation.rst	(revision 13)
+++ /trunk/workshop-foss4g/installation.rst	(revision 14)
@@ -4,52 +4,52 @@
 =======================
 
-We will be using the OpenGeo Suite as our software package, as it includes PostGIS/PostgreSQL in a single fast installation for Windows, Apple OS/X, and Linux. The Suite also includes GeoServer, OpenLayers, and a number of web visualization utilities.
+Nous utiliserons l'OpenGeo Suite comme application d'installation. Ãtant donnÃ© qu'elle contient PostGIS/PostgreSQL dans un seul outil d'installation pour Windows, Apple OS/X et Linux. La suite contient aussi GeoServer, OpenLayers et de nombreux outils de visulations sur le web.
 
 .. note::
-
-  If you want to install just PostgreSQL, it can also be downloaded directly as source code or binary from the PostgreSQL project site: http://postgresql.org/download/. After installing PostgreSQL, use the "StackBuilder" utility to add the PostGIS extension.
+  
+  Si vous souhaitez installer simplement PostgreSQL, cela peut se faire en tÃ©lÃ©chargeant directement le code source ou les binaires de PostgreSQL sur le site du projet http://postgresql.org/download/. AprÃšs avoir installÃ© PostgreSQL, utilisez l'outils "StackBuilder" pour ajouter l'extension PostGIS Ã  votre installation.
 
 .. note:: 
 
-  The precise directions in this document are for Windows, but for OS/X the installation is largely the same. Once the Suite is installed, the directions for both operating systems should be almost identical.  
+  Les indications prÃ©cises de ce documents sont propre Ã  WIndows, mais l'installation sous OS/X est largement similaire. Une fois la Suite installÃ©e, les instructions relatives au syst!me d'exploitation devraient Ãªtre identiques.
 
-#. In the directory :file:`postgisintro\\software\\` you will find the OpenGeo Suite installer entitled  :file:`opengeosuite-2.4.3.exe` (on OS/X, :file:`opengeosuite-2.4.3.dmg`).  Double click to execute.
+#. Dans le rÃ©pertoire :file:`postgisintro\\software\\` vous trouverez l'installeur de l'OpenGeo Suite nommÃ© :  :file:`opengeosuite-2.4.3.exe` (sur OS/X, :file:`opengeosuite-2.4.3.dmg`).  Double cliquez sur cet exÃ©cutable pour le lancer.
 
-#. Enjoy the warm welcome, courtesy of OpenGeo, then click **Next**.
+#. ApprÃ©ciez le message de bienvenu, et la courtoisie d'OpenGeo, puis cliquez sur **Next**.
 
    .. image:: ./screenshots/install_01.png
 
 
-#. The OpenGeo Suite is licensed under the GNU GPL, which is reproduced on the licensing page.  Click **I Agree**.
+#. L'OpenGeo Suite est publiÃ©e sous licence GPL, ce qui est prÃ©cisÃ© dans la fenÃªtre de licecne.  Cliquez sur **I Agree**.
 
    .. image:: ./screenshots/install_02.png
 
 
-#. The directory where the OpenGeo Suite will reside is the usual ``C:\Program Files\`` location. The data will be placed in your home directory, under the :file:`.opengeo` directory.  Click **Next**.
+#. Le rÃ©pertoire oÃ¹ l'OpenGeo Suite sera installÃ© est gÃ©nÃ©ralement le rÃ©pertoire ``C:\Program Files\``. Les donnÃ©es seront placÃ© dans le rÃ©pertoire personnel de votre utilisateur, dans le rÃ©pertoire :file:`.opengeo`.  Cliquez sur **Next**.
 
    .. image:: ./screenshots/install_03.png
 
 
-#. The installer will create a number of shortcuts in the OpenGeo folder in the Start Menu. Click **Next**.
+#. L'installeur crÃ©era un certains nombres de racourcis dans le rÃ©pertoire OpenGeo du menu dÃ©marrer. Cliquez sur **Next**.
 
    .. image:: ./screenshots/install_04.png
 
 
-#. All the components of the Suite are mandatory at this point. Click **Next**.
+#. Tout les composants de la Suite sont obligratoire Ã  ce niveau. Cliquez sur **Next**.
 
    .. image:: ./screenshots/install_05.png
 
 
-#. Ready for install!  Click **Install**.
+#. PrÃªt Ã  installer ! Cliquez sur **Install**.
 
    .. image:: ./screenshots/install_06.png
 
 
-#. The installation process will run for a couple of minutes.
+#. Le processus d'installation prendra quelques minutes.
 
    .. image:: ./screenshots/install_07.png
 
 
-#. When the installation is complete, launch the Dashboard to start the next section of the workshop! Click **Finish**.
+#. Lorsque l'installation est terminÃ©e, lancez le Dashboard pour commencer la partie suivante de ces travaux pratiques ! Cliquez sur **Finish**.
 
    .. image:: ./screenshots/install_08.png