Index: /trunk/workshop-foss4g/simple_sql_exercises.rst
===================================================================
--- /trunk/workshop-foss4g/simple_sql_exercises.rst	(revision 16)
+++ /trunk/workshop-foss4g/simple_sql_exercises.rst	(revision 17)
@@ -1,10 +1,10 @@
 .. _simple_sql_exercises:
 
-Section 7: Simple SQL Exercises
-===============================
+Section 7 : Exercices simple de SQL
+===================================
 
-Using the ``nyc_census_blocks`` table, answer the following questions (don't peak at the answers!). 
+En utilisant la table ``nyc_census_blocks``, rÃ©pondez au questions suivantes (n'allez pas directement au rÃ©ponses ! ). 
 
-Here is some helpful information to get started.  Recall from the :ref:`About Our Data <about_data>` section our ``nyc_census_blocks`` table definition.
+Vous trouverez ci-dessous des informations utiles pour commencer. RÃ©fÃ©rez-vous Ã  la partie `Ã propos des nos donnÃ©es <about_data>` pour la dÃ©finition de notre table ``nyc_census_blocks``.
 
 .. list-table::
@@ -12,37 +12,37 @@
 
    * - **blkid**
-     - A 15-digit code that uniquely identifies every census **block**. Eg: 360050001009000
+     - Un code Ã  15 chiffres qui dÃ©finit de maniÃšre unique chaque **block** ressencÃ© . Ex: 360050001009000
    * - **popn_total**
-     - Total number of people in the census block
+     - Nombre total de personnes dans un block ressensÃ©
    * - **popn_white**
-     - Number of people self-identifying as "white" in the block
+     - Nombre de personnes se dÃ©clarant "blancs"
    * - **popn_black**
-     - Number of people self-identifying as "black" in the block
-   * - **popn_nativ**
-     - Number of people self-identifying as "native american" in the block
+     - Nombre de personnes se dÃ©clarant "noirs"
+   * - **popn_nativ**temet
+     - Nombre de personnes se dÃ©clarant comme "nÃ©s aux Ã©tats-unis"
    * - **popn_asian**
-     - Number of people self-identifying as "asias" in the block
+     - Nombre de personne se dÃ©clarant comme "asiatiques"
    * - **popn_other**
-     - Number of people self-identifying with other categories in the block
+     - Nombre de personne se dÃ©clarant d'une autre catÃ©gorie
    * - **hous_total**
-     - Number of housing units in the block
+     - Nombre de piÃšces appartements
    * - **hous_own**
-     - Number of owner-occupied housing units in the block
+     - Nombre de propriÃ©taires occupant les appartements
    * - **hous_rent**
-     - Number of renter-occupied housing units in the block
+     - Nombre de locations disponibles
    * - **boroname**
-     - Name of the New York borough. Manhattan, The Bronx, Brooklyn, Staten Island, Queens
+     - Nom du quartier de New York. Manhattan, The Bronx, Brooklyn, Staten Island, Queens
    * - **the_geom**
-     - Polygon boundary of the block
+     - Polygone dÃ©limitant le block
 
-And, here are some common SQL aggregation functions you might find useful:
+Ici se trouvent certaines des fonctions d'aggrÃ©gation qui vous seront utiles pour rÃ©pondre aux questions :
 
- * avg() - the average (mean) of the values in a set of records
- * sum() - the sum of the values in a set of records
- * count() - the number of records in a set of records
+ * avg() - la moyenne des vlauers dans un ensemble d'enregistrements
+ * sum() - la somme des valeurs d'un ensembe d'enregistrements
+ * count() - le nombre d'Ã©lÃ©ment contenu dans un ensembe d'enregistrements.
 
-Now the questions:
+Maintenant les question :
 
- * **"What is the population of the City of New York?"**
+ * **"Quelle est la population de la ville de New York ?"**
  
    .. code-block:: sql
@@ -57,7 +57,7 @@
    .. note:: 
    
-       What is this ``AS``? You can give a table or a column another name by using an alias.  Aliases can make queries easier to both write and to read. So instead of our outputted column name as ``sum`` we write it **AS** the more readable ``population``. 
+       Qu'est-ce que ce ``AS`` dans la requÃªte ? vous pouvez donner un nom Ã  une table ou a des colonnes en utilisant un alias. Les alias permettent de rendre les requÃªtes plus simple Ã  Ã©crire et Ã  lire. Donc au lieu que notre colonne rÃ©sultat soit nommÃ©e ``sum`` nous utilisons le  **AS** pour la renommer en ``population``. 
        
- * **"What is the population of the Bronx?"**
+ * **"Quelle est la population du Bronx ?"**
 
    .. code-block:: sql
@@ -71,5 +71,5 @@
      1332650 
    
- * **"What is the average number of people living in each housing unit in New York City?"**
+ * **"Quelle est en moyenne le nombre de personne vivant dans chaque appartement de la ville de New York ?"**
  
    .. code-block:: sql
@@ -82,5 +82,5 @@
      2.6503540522400804 
    
- * **"For each borough, what percentage of the population is white?"**
+ * **"Pour chaque quartier, quel est le pourcentage de population blanche ?"**
 
    .. code-block:: sql
@@ -102,10 +102,10 @@
       Staten Island | 77.5968611401579346
  
-Function List
--------------
+Liste des fonctions
+-------------------
 
-`avg(expression) <http://www.postgresql.org/docs/8.2/static/functions-aggregate.html#FUNCTIONS-AGGREGATE-TABLE>`_: PostgreSQL aggregate function that returns the average value of a numeric column.
+`avg(expression) <http://www.postgresql.org/docs/8.2/static/functions-aggregate.html#FUNCTIONS-AGGREGATE-TABLE>`_: fonction d'aggrÃ©gation de PostgreSQL qui renvoit la moyenne d'un esemble de nombres.
 
-`count(expression) <http://www.postgresql.org/docs/8.2/static/functions-aggregate.html#FUNCTIONS-AGGREGATE-TABLE>`_: PostgreSQL aggregate function that returns the number of records in a set of records.
+`count(expression) <http://www.postgresql.org/docs/8.2/static/functions-aggregate.html#FUNCTIONS-AGGREGATE-TABLE>`_: une fonction d'aggrÃ©gation de PostgreSQL qui retourne le nombre d'Ã©lÃ©ments dans un esemble.
 
-`sum(expression) <http://www.postgresql.org/docs/8.2/static/functions-aggregate.html#FUNCTIONS-AGGREGATE-TABLE>`_: PostgreSQL aggregate function that returns the sum of records in a set of records.
+`sum(expression) <http://www.postgresql.org/docs/8.2/static/functions-aggregate.html#FUNCTIONS-AGGREGATE-TABLE>`_: une fonction d'aggrÃ©gation de PostgreSQL qui retourne la somme des valeurs numÃ©riques d'un ensemble.