Index: /trunk/workshop-foss4g/projection_exercises.rst
===================================================================
--- /trunk/workshop-foss4g/projection_exercises.rst	(revision 27)
+++ /trunk/workshop-foss4g/projection_exercises.rst	(revision 28)
@@ -1,23 +1,23 @@
 .. _projection_exercises:
 
-Section 16: Projection Exercises
-================================
+Partie 16 : Exercices de projection
+===================================
 
-Here's a reminder of some of the functions we have seen.  Hint: they should be useful for the exercises!
+Voici un  rappel de certaines fonctions que nous avons vu. Astuce : elles devraient Ãªtre utiles pour les exercices !
+     
+* :command:`sum(expression)` agrÃ©gation qui retourn la somme d'un esemble de valeurs
+* :command:`ST_Length(linestring)` retourne la longueur d'une ligne
+* :command:`ST_SRID(geometry, srid)` retourne le SRID d'une gÃ©omÃ©trie
+* :command:`ST_Transform(geometry, srid)` re-projette des gÃ©omÃ©tries dans un autre systÃšme de rÃ©fÃ©rences spatiales
+* :command:`ST_GeomFromText(text)` retourne un objet ``geometry``
+* :command:`ST_AsText(geometry)` retourne le WKT (``text``)
+* :command:`ST_AsGML(geometry)` retourne le GML (``text``)
 
-* :command:`sum(expression)` aggregate to return a sum for a set of records
-* :command:`ST_Length(linestring)` returns the length of the linestring
-* :command:`ST_SRID(geometry, srid)` returns the SRID of the geometry
-* :command:`ST_Transform(geometry, srid)` converts geometries into different spatial reference systems
-* :command:`ST_GeomFromText(text)` returns ``geometry``
-* :command:`ST_AsText(geometry)` returns WKT ``text``
-* :command:`ST_AsGML(geometry)` returns GML ``text``
-
-Remember the online resources that are available to you:
+Rappelez-vous les resssources en ligne :
 
 * http://spatialreference.org
 * http://prj2epsg.org
 
-Also remember the tables we have available:
+Et les tables qui sont disponibles :
 
  * ``nyc_census_blocks`` 
@@ -37,8 +37,8 @@
    * name, boroname, the_geom
 
-Exercises
+Exercices
 ---------
 
- * **"What is the length of all streets in New York, as measured in UTM 18?"**
+ * **"Quelle est la longueur des rue de New York, mesurÃ©e en UTM 18 ?"**
  
    .. code-block:: sql
@@ -51,5 +51,5 @@
      10418904.7172
       
- * **"What is the WKT definition of SRID 2831?"**   
+ * **"Quelle est la dÃ©finition du SRID 2831 ?"**   
     
    .. code-block:: sql
@@ -58,5 +58,5 @@
      WHERE SRID = 2831;
 
-Or, via `prj2epsg <http://prj2epsg.org/epsg/2831>`_
+Ou, via `prj2epsg <http://prj2epsg.org/epsg/2831>`_
 
  ::
@@ -87,5 +87,5 @@
   
 
- * **"What is the length of all streets in New York, as measured in SRID 2831?"**
+ * **"Quelle est la longueur des rue de New York, mesurÃ© en utilisant le SRID 2831 ?"**
  
    .. code-block:: sql
@@ -100,7 +100,7 @@
    .. note::
    
-     The difference between the UTM 18 and the Stateplane Long Island measurements is (10421993 - 10418904)/10418904, or 0.02%. Calculated on the spheroid using :ref:`geography` the total street length is 10421999, which is closer to the Stateplane value. This is not surprising, since the Stateplane Long Island projection is precisely calibrated for a very small area (New York City) while UTM 18 has to provide reasonable results for a large regional area.
+     La diffÃ©rence entre les mesure en UTM 18 et en the Stateplane Long Island est de (10421993 - 10418904)/10418904, soit 0.02%. CalculÃ© sur la sphÃ©roÃ¯de en utilissant en :ref:`geography` le total des longueurs des route est 10421999, qui est proche de la valeur dans l'autre systÃšme de projection (Stateplane Long Island) est prÃ©cisÃ©ment calibrÃ© pour une petite zone gÃ©ographique (la ville de New York) alors que le systÃšme UTM 18 doit fournir un rÃ©sultat raisonable pour une zone rÃ©gionale plus large.
      
- * **"What is the KML representation of the point at 'Broad St' subway station?"**
+ * **"Quelle est la reprÃ©sentation KML du point de la station de mÃ©tris 'Broad St' ?"**
  
    .. code-block:: sql
@@ -114,3 +114,3 @@
      <Point><coordinates>-74.010671468873468,40.707104815584088</coordinates></Point>
      
-Hey! The coordinates are in geographics even though we didn't call :command:`ST_Transform`, why? Because the KML standard dictates that all coordinates *must* be in geographics (ESPG:4326, in fact) so the :command:`ST_AsKML` function does the transformation automatically.
+HÃ© ! les coordonnÃ©es sont gÃ©ographiques bien que nous n'ayons pas fait appÃšle Ã a la fonction  :command:`ST_Transform, pourquoi ? Parce que le standard KML spÃ©cifit que toutes les coordonnÃ©es *doivent* Ãªtre en gÃ©ographiques (en fait, dans le systÃšme EPSG:4326), donc la fonction :command:`ST_AsKML` rÃ©alise la transformation automatiquement.