Index: /trunk/workshop-foss4g/loading_data.rst
===================================================================
--- /trunk/workshop-foss4g/loading_data.rst	(revision 43)
+++ /trunk/workshop-foss4g/loading_data.rst	(revision 44)
@@ -143,5 +143,5 @@
    N'oubliez pas saisir le nom de l'utilisateur et le numÃ©ro de port losque vous crÃ©er une base de donnÃ©es en ligne de commande.
     
-Les choses Ã  essayer : Visualiser se donnÃ©es avec uDig
+Les choses Ã  essayer : Visualiser des donnÃ©es avec uDig
 ------------------------------------------------------
 
Index: /trunk/workshop-foss4g/creating_db.rst
===================================================================
--- /trunk/workshop-foss4g/creating_db.rst	(revision 43)
+++ /trunk/workshop-foss4g/creating_db.rst	(revision 44)
@@ -40,5 +40,5 @@
 -------------------------
 
-PostgreSQL fournit ce que l'on appÃšle des modÃšles de bases de donnÃ©es qui peuvent Ãªtre utilisÃ©s lors de la crÃ©ation d'une nouevelle base. Cette nouvelle base contiendra alors une copie de tout ce qui est prÃ©sent dans le modÃšle. Lorsque vous installez PostGIS, une base de donnÃ©es appelÃ©e ``template_postgis`` a Ã©tÃ© crÃ©Ã©e. Si nous utilisons ``template_postgis`` comme model lors de la crÃ©ation de notre nouvelle base, la nouvelle base sera une base de donnÃ©es spatiales.
+PostgreSQL fournit ce que l'on appÃšle des modÃšles de bases de donnÃ©es qui peuvent Ãªtre utilisÃ©s lors de la crÃ©ation d'une nouvelle base. Cette nouvelle base contiendra alors une copie de tout ce qui est prÃ©sent dans le modÃšle. Lorsque vous installez PostGIS, une base de donnÃ©es appelÃ©e ``template_postgis`` a Ã©tÃ© crÃ©e. Si nous utilisons ``template_postgis`` comme modÃšle lors de la crÃ©ation de notre nouvelle base, la nouvelle base sera une base de donnÃ©es spatiales.
 
 #. Ouvrez l'arbre des bases de donnÃ©es et regardez quelles sont les bases de donnÃ©es disponibles. La base ``postgres`` est la base de l'utilisateur (par dÃ©faut l'utilisateur postgres, donc pas trÃšs interressante pour nous). La base ``template_postgis`` est celle que nous utiliserons pour crÃ©er des bases de donnÃ©es spatiales.
@@ -92,3 +92,3 @@
 -------------------
 
-`PostGIS_Full_Version <http://postgis.org/documentation/manual-svn/PostGIS_Full_Version.html>`_: Retroune les informations complÃštes relatives Ã  la version et aux options de compilation de postgis.
+`PostGIS_Full_Version <http://postgis.org/documentation/manual-svn/PostGIS_Full_Version.html>`_: Retourne les informations complÃštes relatives Ã  la version et aux options de compilation de postgis.
Index: /trunk/workshop-foss4g/about_data.rst
===================================================================
--- /trunk/workshop-foss4g/about_data.rst	(revision 43)
+++ /trunk/workshop-foss4g/about_data.rst	(revision 44)
@@ -6,12 +6,12 @@
 Les donnÃ©es utilisÃ©es dans ces travaux proatiques sont quatre shapefiles de la ville de New York, et une table attributaire des variables socio-dÃ©mographiques. Nous les avons charger sous forme de tables PostGIS et nous ajouterons les donnÃ©es  socio-dÃ©mographiques plus tard.
 
-Cette partie fournit le nombre d'enregistrements et les attributs de chacun de nos ensembles de donnÃ©es. Ces valeurs attributaires et les relations sont essentielles pour nos future analyses.
+Cette partie fournit le nombre d'enregistrements et les attributs de chacun de nos ensembles de donnÃ©es. Ces valeurs attributaires et les relations sont essentielles pour nos futures analyses.
 
-Pour visualiser la nature de vos tables depuis pgAdmin, cliquez avec le bouton droit sur une table et sÃ©lectionnez **Properties**. Vous trouverez un rÃ©sumÃ© des propriÃ©tÃ©s de la table, incluant la liste des attributs d'une tables dans l'onglet **Columns**.
+Pour visualiser la nature de vos tables depuis pgAdmin, cliquez avec le bouton droit sur une table et sÃ©lectionnez **Properties**. Vous trouverez un rÃ©sumÃ© des propriÃ©tÃ©s de la table, incluant la liste des attributs d'une table dans l'onglet **Columns**.
 
 nyc_census_blocks
 -----------------
 
-Un bloc ressencÃ© est la plus petite entitÃ© gÃ©ographique pour laquelle un ressencement est raportÃ©. Toutes les couches reprÃ©sentant les niveaus suppÃ©rieurs (rÃ©gions, zones de mÃ©tro, comtÃ©s) peuvent Ãªtre contruites Ã  partir de ces blocs. Nous avons attachÃ© des donnÃ©es dÃ©mographiques au bloc.
+Un bloc ressencÃ© est la plus petite entitÃ© gÃ©ographique pour laquelle un ressencement est raportÃ©. Toutes les couches reprÃ©sentant les niveaux suppÃ©rieurs (rÃ©gions, zones de mÃ©tro, comtÃ©s) peuvent Ãªtre contruites Ã  partir de ces blocs. Nous avons attachÃ© des donnÃ©es dÃ©mographiques aux blocs.
 
 Nombre d'enregistrements : 36592
@@ -51,5 +51,5 @@
 .. note:: 
 
-    Pour obetneir les donnÃ©es d'un recenssement dans votre SIG, vous avez besoin de joindre deux informations: Les donnÃ©es socio-dÃ©mographiques et les limites gÃ©ographiques des blocs/quartiers. To get census data into GIS, you need to join two pieces of information: the actual data (text), and the boundary files (spatial).  Il existe plusieurs moyen de se les procurer, dans notre cas elles ont Ã©tÃ© rÃ©cupÃ©rÃ©es sur le site Internet du Census Bureau's `American FactFinder <http://factfinder.census.gov>`_. 
+    Pour obtenir les donnÃ©es d'un recenssement dans votre SIG, vous avez besoin de joindre deux informations: Les donnÃ©es socio-dÃ©mographiques et les limites gÃ©ographiques des blocs/quartiers. Il existe plusieurs moyen de se les procurer, dans notre cas elles ont Ã©tÃ© rÃ©cupÃ©rÃ©es sur le site Internet du Census Bureau's `American FactFinder <http://factfinder.census.gov>`_. 
     
 nyc_neighborhoods