Index: /trunk/workshop-foss4g/geometries.rst
===================================================================
--- /trunk/workshop-foss4g/geometries.rst	(revision 45)
+++ /trunk/workshop-foss4g/geometries.rst	(revision 46)
@@ -26,5 +26,5 @@
 .. image:: ./geometries/start01.png
 
-L'exemple ci-dessus crÃ©Ã© une table (**geometries**) puis y insert cinq gÃ©omÃ©tries : un point, une ligne, un polygone, un polygone avec un trou, et une collection. Au final, les lignes insÃ©rÃ©es sont sÃ©lectionnÃ©es et affichÃ©es dans le tableau de sortie.
+L'exemple ci-dessus crÃ©Ã© une table (**geometries**) puis y insert cinq gÃ©omÃ©tries : un point, une ligne, un polygone, un polygone avec un trou, et une collection. Les lignes insÃ©rÃ©es sont sÃ©lectionnÃ©es et affichÃ©es dans le tableau de sortie.
 
 Les tables de mÃ©tadonnÃ©es
@@ -33,5 +33,5 @@
 Dans le respect de la spÃ©cification Simple Features for SQL (:term:`SFSQL`), PostGIS fournit deux tables pour rÃ©cupÃ©rer et s'informer sur les types de gÃ©omÃ©tries disponibles dans une base de donnÃ©es spÃ©cifique.
 
-* La premiÃšre table, ``spatial_ref_sys``, dÃ©finit tout les systÃšmes de projection connus de la base de donnÃ©es et sera dÃ©crite plus en dÃ©tals plus tard.  
+* La premiÃšre table, ``spatial_ref_sys``, dÃ©finit tout les systÃšmes de projection connus de la base de donnÃ©es et sera dÃ©crite plus en dÃ©tails plus tard.  
 * La seconde table, ``geometry_columns``, fournit une liste de toutes les "entitÃ©s" (dÃ©finit comme un objet avec un attribut gÃ©omÃ©trique) et les dÃ©tails de base relatives Ã  ces entitÃ©s. 
 
@@ -40,5 +40,5 @@
 Dans l'exemple founit en introduction, la fonction :command:`Populate_Geometry_Columns()` dÃ©tecte toute les colonnes de la base de donnÃ©es qui contiennent des gÃ©omÃ©tries et met Ã  jour la table ``geometry_columns`` pour y inclure leurs rÃ©fÃ©rences.
 
-Regardons maintenant table ``geometry_columns`` de notre base de donnÃ©es. Copiez cette commande dans la fenÃªtre de requÃªtage :
+Regardons maintenant la table ``geometry_columns`` de notre base de donnÃ©es. Copiez cette commande dans la fenÃªtre de requÃªtage :
 
 
@@ -64,5 +64,5 @@
 
  * :command:`ST_GeometryType(geometry)` retourne le type de la gÃ©omÃ©trie
- * :command:`ST_NDims(geometry)` retourne le nombre de dimension d'une gÃ©omÃ©trie
+ * :command:`ST_NDims(geometry)` retourne le nombre de dimensions d'une gÃ©omÃ©trie
  * :command:`ST_SRID(geometry)` retourne l'identifiant de rÃ©fÃ©rence spatiale de la gÃ©omÃ©trie
 
@@ -90,5 +90,5 @@
    :align: center
 
-Un **point** reprÃ©sente une localisation unique sur la Terre. Ce point est reprÃ©sentÃ© par une seule coordonnÃ©e (incluant soit 2, 3 ou 4 dimensions). Les points sont utilisÃ©s pour reprÃ©senter des objets lorsque le dÃ©tails exact du contour n'est pas important Ã  une Ã©chelle donnÃ©e. Par exemple, les villes sur une carte du monde peuvent Ãªtre dÃ©crite sous la forme de points alors qu'une carte rÃ©gionale utiliserait une reprÃ©sentation polygonale des villes.
+Un **point** reprÃ©sente une localisation unique sur la Terre. Ce point est reprÃ©sentÃ© par une seule coordonnÃ©e (incluant soit 2, 3 ou 4 dimensions). Les points sont utilisÃ©s pour reprÃ©senter des objets lorsque le dÃ©tail exact du contour n'est pas important Ã  une Ã©chelle donnÃ©e. Par exemple, les villes sur une carte du monde peuvent Ãªtre dÃ©crite sous la forme de points alors qu'une carte rÃ©gionale utiliserait une reprÃ©sentation polygonale des villes.
 
 .. code-block:: sql
@@ -102,5 +102,5 @@
   POINT(0 0)
 
-Ceraines des fonctions spÃ©cifiques pour travailler avec les points sont :
+Certaines des fonctions spÃ©cifiques pour travailler avec les points sont :
 
  * :command:`ST_X(geometry)` retourne la composante X
@@ -115,5 +115,5 @@
     WHERE name = 'Point';
 
-La table des stations de mÃ©tro de la ville de New York  (``nyc_subway_stations``) est un ensemble de donnÃ©es reprÃ©sentÃ© sous la forme de points. La requÃªte SQL suivante reverra la gÃ©omÃ©trie associÃ©e Ã  un point (dans la colonne :command:`ST_AsText`).
+La table des stations de mÃ©tro de la ville de New York  (``nyc_subway_stations``) est un ensemble de donnÃ©es reprÃ©sentÃ© sous la forme de points. La requÃªte SQL suivante renverra la gÃ©omÃ©trie associÃ©e Ã  un point (dans la colonne :command:`ST_AsText`).
 
 .. code-block:: sql
@@ -130,7 +130,7 @@
    :align: center
 
-Une **ligne** est un chemin entre plusieurs points. Elle prend la forme d'un tableau ordonnÃ© de deux (ou plusieurs) points. Les routes et les riviÃšres sont typiquement reprÃ©sentÃ©s sous la forme de lignes. Une ligne est dite **fermÃ©e** si elle commence et fini en un mÃªme point. Elle est dite **simple** si elle ne se coupe pas ou ne se touche pas elle-mÃªme (sauf Ã  ses extrÃ©mitÃ©s si elle est fermÃ©e). Une ligne peut Ãªtre Ã  la fois **fermÃ©e** et **simple**.
-
-Le rÃ©seau des rues de New York (``nyc_streets``) a Ã©tÃ© chargÃ© auparavant. Cet ensemble de donnÃ©es contient les dÃ©tails comme le nom et le type. Une rue du monde rÃ©el pourrait Ãªtre constituÃ©e de plusieurs lignes, chacune reprÃ©sentant une file avec diffÃ©rents attributs.
+Une **ligne** est un chemin entre plusieurs points. Elle prend la forme d'un tableau ordonnÃ© composÃ© de deux (ou plusieurs) points. Les routes et les riviÃšres sont typiquement reprÃ©sentÃ©s sous la forme de lignes. Une ligne est dite **fermÃ©e** si elle commence et fini en un mÃªme point. Elle est dite **simple** si elle ne se coupe pas ou ne se touche pas elle-mÃªme (sauf Ã  ses extrÃ©mitÃ©s si elle est fermÃ©e). Une ligne peut Ãªtre Ã  la fois **fermÃ©e** et **simple**.
+
+Le rÃ©seau des rues de New York (``nyc_streets``) a Ã©tÃ© chargÃ© auparavant. Cet ensemble de donnÃ©es contient les dÃ©tails comme le nom et le type des rues. Une rue du monde rÃ©el pourrait Ãªtre constituÃ©e de plusieurs lignes, chacune reprÃ©sentant une file avec diffÃ©rents attributs.
 
 La requÃªte SQL suivante retourne la gÃ©omÃ©trie associÃ©e Ã  une ligne (dans la colonne :command:`ST_AsText`) :
@@ -193,5 +193,5 @@
  POLYGON((0 0, 10 0, 10 10, 0 10, 0 0),(1 1, 1 2, 2 2, 2 1, 1 1))
 
-Le premier polygone a seulement une ligne. Le second a un "trou". La plupart des systÃšmes de rendu graphique supportent le concept de "polygone", mais les systÃšme SIG sont les seuls Ã  accepter que les polygones puissent contenir des trous.
+Le premier polygone a seulement une ligne. Le second a un "trou". La plupart des systÃšmes de rendu graphique supportent le concept de "polygone", mais les systÃšmes SIG sont les seuls Ã  accepter que les polygones puissent contenir des trous.
 
 .. image:: ./screenshots/polygons.png
@@ -199,5 +199,5 @@
 Certaines des fonctions spatiales spÃ©cifiques de traitement des polygones sont :
 
- * :command:`ST_Area(geometry)` retourne l'aire de polygones
+ * :command:`ST_Area(geometry)` retourne l'aire d'un polygone
  * :command:`ST_NRings(geometry)` retourne le nombre de contours (habituellement 1, plus lorsqu'il y a des trous)
  * :command:`ST_ExteriorRing(geometry)` retourne le contour extÃ©rieur
@@ -223,5 +223,5 @@
 ~~~~~~~~~~~~~~~~ 
 
-Il y a quatre types de collections, qui regroupe plusieurs gÃ©omÃ©tries simples ensemble.
+Il y a quatre types de collections, qui regroupe ensemble plusieurs gÃ©omÃ©tries simples.
 
  * **MultiPoint**, une collection de points
@@ -234,5 +234,5 @@
 .. image:: ./screenshots/collection2.png
 
-Notre collection exemple contient un polygon et un point :
+Notre collection exemple contient un polygone et un point :
 
 .. code-block:: sql
Index: /trunk/workshop-foss4g/simple_sql_exercises.rst
===================================================================
--- /trunk/workshop-foss4g/simple_sql_exercises.rst	(revision 45)
+++ /trunk/workshop-foss4g/simple_sql_exercises.rst	(revision 46)
@@ -6,5 +6,5 @@
 En utilisant la table ``nyc_census_blocks``, rÃ©pondez au questions suivantes (et n'allez pas directement aux rÃ©ponses ! ). 
 
-Vous trouverez ci-dessous des informations utiles pour commencer. RÃ©fÃ©rez-vous Ã  la partie `Ã propos des nos donnÃ©es <about_data>` pour la dÃ©finition de notre table ``nyc_census_blocks``.
+Vous trouverez ci-dessous des informations utiles pour commencer. RÃ©fÃ©rez-vous Ã  la partie :ref:`Ã propos des nos donnÃ©es` pour la dÃ©finition de notre table ``nyc_census_blocks``.
 
 .. list-table::