Index: trunk/workshop-routing-foss4g/chapters/topology.rst
===================================================================
--- trunk/workshop-routing-foss4g/chapters/topology.rst	(revision 69)
+++ trunk/workshop-routing-foss4g/chapters/topology.rst	(revision 70)
@@ -1,4 +1,4 @@
 ==============================================================================================================
-Create a Network Topology
+CrÃ©ation de la topologie du rÃ©seau
 ==============================================================================================================
 
@@ -9,11 +9,11 @@
 	:align: center
 
-In this chapter you will learn how to create a network topology from scratch. For that we will start with data that contains the minimum attributes needed for routing and show how to proceed step-by-step to build routable data for pgRouting. 
+Dans ce chapitre vous allez apprendre comment crÃ©er une topologie de rÃ©seau en partant de rien. Pour ce faire, nous allons commencer par les donnÃ©es qui contiennent les attributs minimum requis pour le routage et comment constituer Ã©tape par Ã©tape des donnÃ©es pour pgRouting.
 
 -------------------------------------------------------------------------------------------------------------
-Load network data
+Charger les donnÃ©es de rÃ©seau
 -------------------------------------------------------------------------------------------------------------
 
-At first we will load a database dump from the workshop ``data`` directory. This directory contains a compressed file with database dumps as well as a smaller network data of Denver downtown. If you haven't uncompressed the data yet, extract the file by 
+Au dÃ©but nous allors charger une sauvegarde de base de donnÃ©es Ã  partir du rÃ©pertoire ``data``des travxu pratiques. Ce rÃ©pertoire contient un fichier compressÃ© incluant une sauvegarde de base de donnÃ©es ainsi qu'un plus petit ensemble de donnÃ©es de rÃ©seau du centre ville de Denver. Si vous n'avez pas encore dÃ©compressÃ©, faite le en utilisant la comande :
 
 .. code-block:: bash
@@ -22,17 +22,17 @@
 	tar -xvzf data.tar.gz
 
-The following command will import the database dump. It will add PostGIS and pgRouting functions to a database, in the same way as decribed in the previous chapter. It will also load the Denver sample data with a minimum number of attributes, which you will usually find in any network data:
+La commande suivante permet d'importer la sauvegarde de la base de donnÃ©es. Elle ajoutera les fonctions PostGIS et pgRouting Ã  la base, de la mÃªme maniÃšre que ce nous avons dÃ©crit dans le chapitre prÃ©cÃ©dent. Cela chargera aussi le petit Ã©chantillon de donnÃ©es de Denver avec un nombre minimum d'attribut, que vous trouverez habituellement dans l'ensemble des donnÃ©es de rÃ©seau :
 
 .. code-block:: bash
 
-	# Optional: Drop database
+	# Optionel: supprimer la base de donnÃ©es
 	dropdb -U postgres pgrouting-workshop
 
-	# Load database dump file
+	# Chargement du fichier de sauvegarde
 	psql -U postgres -f ~/Desktop/pgrouting-workshop/data/sampledata_notopo.sql
 
-Let's see wich tables have been created:
+Regardons quelles tables ont Ã©tÃ© crÃ©Ã©es :
 
-.. rubric:: Run: ``psql -U postgres -d pgrouting-workshop -c "\d"``
+.. rubric:: Lancer : ``psql -U postgres -d pgrouting-workshop -c "\d"``
 	
 .. code-block:: sql
@@ -50,7 +50,7 @@
 
 	
-The table containing the road network data has the name ``ways``. It consists of the following attributes:
+La table contenant les donnÃ©es du rÃ©seau routier onle nom ``ways``. Elle possÃšde les attributs suivants :
 	
-.. rubric:: Run: ``psql -U postgres -d pgrouting-workshop -c "\d ways"``
+.. rubric:: Lancer : ``psql -U postgres -d pgrouting-workshop -c "\d ways"``
 	
 .. code-block:: sql
@@ -73,15 +73,15 @@
 	    "enforce_srid_the_geom" CHECK (srid(the_geom) = 4326)
 
-It is common that road network data provides at least the following information:
+Il est habituel dans des donnÃ©es de rÃ©seau routier de retrouver au moins les informations suivantes :
 
-* Road link ID (gid)
-* Road class (class_id)
-* Road link length (length)
-* Road name (name)
-* Road geometry (the_geom)
+* Identifiant de tronÃ§on routier (gid)
+* Classe de tronÃ§on (class_id)
+* Longuer du tronÃ§on routier (length)
+* Nom du tronÃ§on (name)
+* La gÃ©omÃ©trie du tronÃ§on (the_geom)
 
-This allows to display the road network as a PostGIS layer in GIS software, for example in QGIS. Though it is not sufficient for routing, because it doesn't contain network topology information.
+Cela permet d'afficher le rÃ©seau routier comme une couche PostGIS depuis un logiciel SIG, par exemple dans QGIS. Notez ue les informations ne suffisent pas au calcul de routes Ã©tant donnÃ© qu'il ne contient aucune information relative Ã  la topolgie du rÃ©seau.
 
-For the next steps we need to start the PostgreSQL command line tool 
+La prochaine Ã©tape consiste Ã  dÃ©marrer l'outil en ligne de commande PostgreSQL
 
 .. code-block:: bash
@@ -89,14 +89,14 @@
 	psql -U postgres pgrouting-workshop
 	
-... or use PgAdmin III.
+... ou d'utiliser PgAdmin III.
 
 
 --------------------------------------------------------------------------------------------------------------
-Calculate topology
+Calcul de la topologie
 --------------------------------------------------------------------------------------------------------------
 
-Having your data imported into a PostgreSQL database usually requires one more step for pgRouting. You have to make sure that your data provides a correct network topology, which consists of information about source and target ID of each road link.
+Pour avoir vos donnÃ©es importÃ© dans une base de donnÃ©es PostgreSQL requiÃšre gÃ©nÃ©ralement des Ã©tapes supplÃ©mentaires pour pgRouting. Vous devez vous assurer que vos donnÃ©es fournissent une topologie correcte du rÃ©seau, ce qui correspond aux informations par rapport au dÃ©but et Ã  la fin d'un tronÃ§on.
 
-If your network data doesn't have such network topology information already you need to run the ``assign_vertex_id`` function. This function assigns a ``source`` and a ``target`` ID to each link and it can "snap" nearby vertices within a certain tolerance.
+Si les donnÃ©es de votre rÃ©seau ont une dÃ©jÃ  telle information vous devez exÃ©cuter la fonctions ``assign_vertex_id``. Cette fonction permet l'assignation des valeurs pour les colonnes ``source`` et ``target`` pour chaque tronÃ§on et il peut prendre en compte le fait qu'un sommet puisse Ãªtre Ã©loignÃ© d'un autre suivant une certaine tolÃ©rance.
 
 .. code-block:: sql
@@ -104,29 +104,29 @@
 	assign_vertex_id('<table>', float tolerance, '<geometry column', '<gid>')
 	
-First we have to add source and target column, then we run the assign_vertex_id function ... and wait.:
+PremiÃšrement nous devons ajouter les colonnes source et target, pour ensuite utiliser la fonction assign_vertex_id ... et attendre :
 
 .. code-block:: sql
 
-	-- Add "source" and "target" column
+	-- Ajouter les colonnes "source" et "target"
 	ALTER TABLE ways ADD COLUMN "source" integer;
 	ALTER TABLE ways ADD COLUMN "target" integer;
 	
-	-- Run topology function
+	-- Utiliser la fonction de contruction de topologie
 	SELECT assign_vertex_id('ways', 0.00001, 'the_geom', 'gid');
 
 .. note::
 
-	Execute ``psql -U postgres -d pgrouting-workshop`` in your terminal to connect to the database and start the PostgreSQL shell. Leave the shell with ``\q`` command.   
+	ExÃ©cuter ``psql -U postgres -d pgrouting-workshop`` depuis votre terminal afin de vous connecter Ã Ã l a base de donnÃ©es et lancer des commandes PostgreSQL en ligne. Quiter la session avec la commande ``\q`` .   
 
 .. warning::
 
-	The dimension of the tolerance parameter depends on your data projection. Usually it's either "degrees" or "meters".
+	La dimension du paramÃštre tolÃ©rance dÃ©pends du systÃšme de projection de vos donnÃ©es. Habituellement c'est soit "degrÃ©s" soit "mÃštres".
 
 
 -------------------------------------------------------------------------------------------------------------
-Add indices
+Ajouter des indexes
 -------------------------------------------------------------------------------------------------------------
 
-Fortunately we didn't need to wait too long because the data is small. But your network data might be very large, so it's a good idea to add an index to ``source`` and ``target`` column.
+Heureusement nous n'avons pas Ã  attendre longtemps Ã©tant donnÃ© que notre jeu de donnÃ©es est trÃšs petit. Mais la quantitÃ© de donnÃ©es d'un rÃ©seau pourrait Ãªtre beaucoup plus importante, donc il vaut mieux ajouter des indexes pour les colonnes  ``source`` et ``target``.
 
 .. code-block:: sql
@@ -135,7 +135,7 @@
 	CREATE INDEX target_idx ON ways("target");
 
-After these steps our routing database look like this:
+Suite Ã  ces Ã©tapes, notre base de donnÃ©es routing ressemble Ã  ceci :
 
-.. rubric:: Run: ``\d``
+.. rubric:: Lancer : ``\d``
 	
 .. code-block:: sql
@@ -152,5 +152,5 @@
 	(6 rows)
 
-.. rubric:: Run: ``\d ways``
+.. rubric:: Lancer : ``\d ways``
 	
 .. code-block:: sql
@@ -177,3 +177,3 @@
 	    "enforce_srid_the_geom" CHECK (srid(the_geom) = 4326)
 		
-Now we are ready for our first routing query with :doc:`Dijkstra algorithm <shortest_path>`!
+Nous sommes fin prÃªts pour notre premiÃšre requÃªte de routage avec `l'algorithme de Dijkstra <shortest_path>` !
Index: trunk/workshop-routing-foss4g/chapters/osm2pgrouting.rst
===================================================================
--- trunk/workshop-routing-foss4g/chapters/osm2pgrouting.rst	(revision 69)
+++ trunk/workshop-routing-foss4g/chapters/osm2pgrouting.rst	(revision 70)
@@ -80,5 +80,5 @@
 				  -clean
 					
-List des paramÃštres possible :
+Liste des paramÃštres possible :
 
 .. list-table::