Index: trunk/workshop-routing-foss4g/chapters/php_server.rst
===================================================================
--- trunk/workshop-routing-foss4g/chapters/php_server.rst	(revision 72)
+++ trunk/workshop-routing-foss4g/chapters/php_server.rst	(revision 73)
@@ -1,21 +1,21 @@
 ==============================================================================================================
-Server side script with PHP
+Script PHP cotÃ© serveur
 ==============================================================================================================
 
-We will use a PHP script to make the routing query and send the result back to the web client.
+Nous utiliserons un script PHP pour exÃ©cuter les requÃªtes de routafe et renverons le rÃ©sultat au client web.
 
-The following steps are necessary:
+Les Ã©tapes suivantes sont nÃ©cessaires :
 
-* Retrieve the start and end point coordinates.
-* Find the closest edge to start/end point.
-* Take either the start or end vertex of this edge (for Dijkstra/ A-Star) or the complete edge (Shooting-Star) as start of the route and end respectively.
-* Make the Shortest Path database query.
-* Transform the query result to XML or better GeoJSON and send it back to the web client.
+* Retrouver les coordonnÃ©es du point de dÃ©part et de celui d'arrivÃ©e.
+* Trouver l'arrÃªte la plus proche d'un point de dÃ©part ou d'arrivÃ©e.
+* Prendre soit le noeud de dÃ©but ou de fin de l'arrÃªte  (for Dijkstra/ A-Star) ou l'arrÃªte elle-mÃªme (Shooting-Star) comme dÃ©but ou fin du parcours.
+* ExÃ©cuter les requÃªte de recherche de plus court chemin.
+* Retourner le rÃ©sultat de la requÃªte en XML ou mieux encore en GeoJSON au client web.
 
 .. note::
 	
-	To keep this example as simple as possible with focus on routing queries, this PHP script doesn't validate request parameters nore does it deal with PHP security issues. 
+	Pour conserver cet exemple aussi simple que possiblle et de mettre en Ã©vidence les requÃªte de routafe, ce script PHP ne valide pas les paramÃštres des requÃªtes et ne prend pas en compte les problÃšmes de sÃ©curitÃ©s de PHP. 
 
-Let's start with some PHP template and then place this file in a directory, which is accessible by Apache:
+CommenÃ§ons avec quelque modÃšles PHP et plaÃ§on ces fichiers dans un rÃ©pertoire accessible par le serveur Apache :
 
 .. literalinclude:: ../../web/php/pgrouting.php
@@ -25,8 +25,8 @@
 	  
 -------------------------------------------------------------------------------------------------------------
-Closest edge
+L'arrÃªte la plus proche
 -------------------------------------------------------------------------------------------------------------
 
-Usually the start and end point, which we retrieved from the client, is not the start or end vertex of an edge. It is more convenient to look for the closest edge than for the closest vertex, because Shooting Star algorithm is âedge-basedâ. For âvertex-basedâ algorithms (Dijkstra, A-Star) we can choose arbitrary start or end of the selected edge.
+Habituellement les points de dÃ©part et d'arrivÃ©e, qui sont rÃ©cupÃ©rer depuis le client, n'est pas le point de dÃ©part ou d'arrivÃ©e d'un tronÃ§on. Il est plus simple de retrouver l'arrÃªte la plus proche que le sommet le plus proche, parce que l'algorithme "Shooting-Star" est basÃ© sur les arrÃªtes. Pour les algorithmes basÃ©s sur les sommets (Dijkstra, A-Ãtoile) nous pouvons choisir le opint de dÃ©part ou d'arrivÃ©e de l'arrÃªte sÃ©lectionnÃ©e.
 
 .. literalinclude:: ../../web/php/pgrouting.php
@@ -36,5 +36,5 @@
 	  
 -------------------------------------------------------------------------------------------------------------
-Routing query
+RequÃªte de routage
 -------------------------------------------------------------------------------------------------------------
 
@@ -45,8 +45,8 @@
 
 -------------------------------------------------------------------------------------------------------------
-GeoJSON output
+Sortie au format GeoJSON
 -------------------------------------------------------------------------------------------------------------
 
-OpenLayers allows to draw lines directly using GeoJSON format, so our script returns a GeoJSON FeatureCollection object:
+OpenLayers permet l'affichage de lignes en utilisant directement des donnÃ©es au format GeoJSON, donc notre script retourne un objet FeatureCollection au format GeoJSON :
 
 .. literalinclude:: ../../web/php/pgrouting.php
Index: trunk/workshop-routing-foss4g/chapters/shortest_path.rst
===================================================================
--- trunk/workshop-routing-foss4g/chapters/shortest_path.rst	(revision 72)
+++ trunk/workshop-routing-foss4g/chapters/shortest_path.rst	(revision 73)
@@ -1,7 +1,7 @@
 ==============================================================================================================
-Shortest Path Search
+Plus courts chemins
 ==============================================================================================================
 
-pgRouting was first called *pgDijkstra*, because it implemented only shortest path search with *Dijkstra* algorithm. Later other functions were added and the library was renamed.
+pgRouting Ã©tÃ© initialement appelÃ© *pgDijkstra*, puisque il implÃ©mentait seulement la recherche de plus court chemin Ã  l'aide de l'agorithme de *Dijkstra*. Plus tard, d'uatres fonctions se sont ajoutÃ©es et la bibliotÃšque fut renommÃ©e.
 
 .. image:: images/route.png
@@ -9,10 +9,10 @@
 	:align: center
 	
-This chapter will explain the three different shortest path algorithms and which attributes are required. 
-
-
-.. note::
-
-	If you run :doc:`osm2pgrouting <osm2pgrouting>` tool to import *OpenStreetMap* data, the ``ways`` table contains all attributes already to run all shortest path functions. The ``ways`` table of the ``pgrouting-workshop`` database of the :doc:`previous chapter <topology>` is missing several attributes instead, which are listed as **Prerequisites** in this chapter.
+Ce chapitre explique les trois diffÃ©rents algorithmes et les attributs nÃ©cessaires.
+
+
+.. note::
+
+	Si vous lancez l'outils :doc:`osm2pgrouting <osm2pgrouting>` pour importer des donnÃ©es *OpenStreetMap*, la table des chemins (``ways``) contient dÃ©jÃ  tout les attributs nÃ©cessaires pour utiliser les fonctions de recherche de plus court chemins. Au contraire, la table ``ways`` de la base de donnÃ©es ``pgrouting-workshop`` du :doc:`chapitre prÃ©cÃ©dent <topology>` manque d'un certain nombre d'attributs, qui sont prÃ©sentÃ©s dans ce chapitre dans les **PrÃ©requis**.
 
 
@@ -21,9 +21,9 @@
 -------------------------------------------------------------------------------------------------------------
 
-Dijkstra algorithm was the first algorithm implemented in pgRouting. It doesn't require other attributes than ``source`` and ``target`` ID, ``id`` attribute and ``cost``. It can distinguish between directed and undirected graphs. You can specify if your network has ``reverse cost`` or not.
-
-.. rubric:: Prerequisites
-
-To be able to use ``reverse cost`` you need to add an additional cost column. We can set reverse cost as length.
+L'algorithme de Dijkstraa Ã©tÃ© la premiÃšre implÃ©mentation disponible dans pgRouting. Il ne nÃ©cessite pas d'autre attributs que les champs ``source`` et ``target``, les attributs ``id`` et ``cost``. Il peut Ãªtre utilisÃ© sur des graphes orientÃ©s ou non. Vous pouvez spÃ©cifier que votre rÃ©seau Ã  un coÃ»t de ``parcours inverse`` (``reverse cost``) ou non.
+
+.. rubric:: PrÃ©requis
+
+Pour Ãªtre en mesure d'utiliser un coÃ»t de parcuors invers, vous devez ajouter une colonne de coÃ»t. Nous pouvons affecter la longuer au coÃ»t de parcours inverse.
 
 .. code-block:: sql
@@ -32,5 +32,5 @@
 	UPDATE ways SET reverse_cost = length;
 
-.. rubric:: Function with parameters
+.. rubric:: Fonction avec paramÃštres
 
 .. code-block:: sql
@@ -44,13 +44,13 @@
 .. note::
 
-	* Source and target IDs are vertex IDs.
-	* Undirected graphs ("directed false") ignore "has_reverse_cost" setting
-
-
-^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
-Core
-^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
-
-Each algorithm has its *core* function , which is the base for its wrapper functions.
+	* Les identifiant pour source et target sont les identifiant des noeuds.
+	* Graphes non-orientÃ©s ("directed=false") implique que le paramÃštre "has_reverse_cost" est ignorÃ©
+
+
+^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
+Bases
+^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
+
+Chaque algorithme a une fonction de *base*.
 
 .. code-block:: sql