Index: trunk/workshop-routing-foss4g/docs/chapters/osm2pgrouting.rst
===================================================================
--- trunk/workshop-routing-foss4g/docs/chapters/osm2pgrouting.rst	(revision 80)
+++ trunk/workshop-routing-foss4g/docs/chapters/osm2pgrouting.rst	(revision 81)
@@ -28,5 +28,5 @@
 	:language: xml
 
-Le fichier ``mapconfig.xml``par dÃ©faut est installÃ© dans le rÃ©pertoire : ``/usr/share/osm2pgrouting/``.
+Le fichier ``mapconfig.xml`` par dÃ©faut est installÃ© dans le rÃ©pertoire : ``/usr/share/osm2pgrouting/``.
 
 
Index: trunk/workshop-routing-foss4g/docs/chapters/installation.rst
===================================================================
--- trunk/workshop-routing-foss4g/docs/chapters/installation.rst	(revision 80)
+++ trunk/workshop-routing-foss4g/docs/chapters/installation.rst	(revision 81)
@@ -5,5 +5,5 @@
 Pour ces travaux pratiques, vous aurez besoin de :
 
-* un serveur wev comme Apache avec le support PHP d'activÃ© (et le module PostgreSQL de PHP)
+* un serveur web comme Apache avec le support PHP d'activÃ© (et le module PostgreSQL de PHP)
 * De prÃ©fÃ©rence un systÃšme d'exploitation de type Linux comme Ubuntu
 * Un Ã©diteur de texte comme Gedit
@@ -16,7 +16,7 @@
 --------------------------------------------------------------------------------------------------------------
 
-L'installation de pgRouting sur Ubuntu est devenu extrÃªmement simple du fait de la disponibilitÃ© d'un paquet binaire dans le `dÃ©pot Launchpad <https://launchpad.net/~georepublic/+archive/pgrouting>`_: . 
+L'installation de pgRouting sur Ubuntu est devenue extrÃªmement simple du fait de la disponibilitÃ© d'un paquet binaire dans le `dÃ©pot Launchpad <https://launchpad.net/~georepublic/+archive/pgrouting>`_: . 
 
-Tout ce que vous avez Ã  faire maintenant c'est d'ouvrir un fenÃªtre de terminal et de lancer :
+Tout ce que vous avez Ã  faire maintenant c'est d'ouvrir une fenÃªtre de terminal et de lancer :
 
 .. code-block:: bash
@@ -38,10 +38,10 @@
 	sudo apt-get install pgrouting-workshop
 
-Cela installera aussi tout les paquets dÃ©pendants comme PostgreSQL et PostGIS s'ils ne sont pas dÃ©jÃ  installÃ©.
+Cela installera aussi tout les paquets dÃ©pendants comme PostgreSQL et PostGIS s'ils ne sont pas dÃ©jÃ  installÃ©s.
 
 .. note::
 
-	* Les paquets "multiverse" doivent Ãªtre disponible comme des sourecs de logiciels. Actuellement les paquets pour Ubuntu 10.04 Ã  11.04 sont disponibles.
-	* Pour prendre en compte les nouveaux dÃ©pÃŽts et avoir une liste des tout deniers paquets Ã  jour, vous devez lancer ``sudo apt-get update & sudo apt-get upgrade`` de temps en temps, tout spÃ©cialement si vous utilisez une ancienne version du LiveDVD.
+	* Les paquets "multiverse" doivent Ãªtre disponibles comme des sources de logiciels. Actuellement les paquets pour Ubuntu 10.04 Ã  11.04 sont disponibles.
+	* Pour prendre en compte les nouveaux dÃ©pÃŽts et avoir une liste des tout deniers paquets Ã  jour, vous devez lancer ``sudo apt-get update && sudo apt-get upgrade`` de temps en temps, tout spÃ©cialement si vous utilisez une ancienne version du LiveDVD.
 	* Afin d'Ã©viter les problÃšmes de permissions, vous pouvez utiliser la mÃ©thode de connexion ``trust`` dans ``/etc/postgresql/8.4/main/pg_hba.conf`` et redÃ©marrer le serveur PostgreSQL avec ``sudo service postgresql-8.4 restart``.
 	
@@ -66,5 +66,5 @@
 .. note::
 
-	Des exemple de donnÃ©es additionelles sont disponibles dans le rÃ©pertoire ``data`` des travaux pratique. Ils contiennent un fichier compressÃ© contenant les sauvegardes de base de donnÃ©es ainsi qu'un plus petit ensemble de donnÃ©es du rÃ©seau routier du centre ville de Denver. Pour dÃ©compresser ce fichier, exÃ©cuter la commande ``tar -xzf ~/Desktop/pgrouting-workshop/data.tar.gz``.
+	Des exemples de donnÃ©es additionelles sont disponibles dans le rÃ©pertoire ``data`` des travaux pratique. Ils contiennent un fichier compressÃ© contenant les sauvegardes de base de donnÃ©es ainsi qu'un plus petit ensemble de donnÃ©es du rÃ©seau routier du centre ville de Denver. Pour dÃ©compresser ce fichier, exÃ©cuter la commande ``tar -xzf ~/Desktop/pgrouting-workshop/data.tar.gz``.
 
 
@@ -82,5 +82,5 @@
 	bash bin/create_templates.sh
 
-Maintenant vous pouvez crÃ©er une nouvelle base incluant les fonctionnalitÃ©s pgRouting en utilsant ``template_routing`` comme modÃšle. Lancez la commande suivante dans une fenÃªtr ede terminal :
+Maintenant vous pouvez crÃ©er une nouvelle base incluant les fonctionnalitÃ©s pgRouting en utilsant ``template_routing`` comme modÃšle. Lancez la commande suivante dans une fenÃªtre de terminal :
 
 .. code-block:: bash